<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no" />
  {% if page.title == site.title -%}
  <title>{{ page.title }}</title>
  {% else -%}
  <title>{{ page.title }} - {{ site.title }}</title>
  {% endif -%}
  <link rel="icon" href="{{ site.url }}{{ site.baseurl }}/assets/icons/favicon-16.png" sizes="16x16" />
  <link rel="icon" href="{{ site.url }}{{ site.baseurl }}/assets/icons/favicon-32.png" sizes="32x32" />
  <link rel="icon" href="{{ site.url }}{{ site.baseurl }}/assets/icons/favicon.svg" sizes="any" />
  <link rel="apple-touch-icon" href="{{ site.url }}{{ site.baseurl }}/assets/icons/apple-touch-icon.png" sizes="180x180" />
  <link rel="manifest" href="{{ site.url }}{{ site.baseurl }}/site.webmanifest" />
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Source+Code+Pro:ital,wght@0,400;0,500;0,700;1,400;1,500;1,700&display=swap">
  <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Source+Code+Pro:ital,wght@0,400;0,500;0,700;1,400;1,500;1,700&display=swap">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.1/css/all.min.css" integrity="sha512-DTOQO9RWCH3ppGqcWaEA1BIZOC6xxalwEsw9c2QQeAIftl+Vegovlnee1c9QX4TctnWMn13TZye+giMm8e2LwA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
  {% if page.with_highlight != false -%}
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/11.7.0/styles/{{ page.with_highlight | replace_first: 'base16-', 'base16/' | default: 'default' }}.min.css">
  <link rel="stylesheet" href="https://unpkg.com/highlightjs-copy@1.0.3/dist/highlightjs-copy.min.css" />
  {% endif -%}
  {% if page.with_datatables != false -%}
  <link rel="stylesheet" href="https://cdn.datatables.net/1.13.5/css/dataTables.bootstrap5.min.css" />
  {% endif -%}
  <link rel="stylesheet" href="{{ site.url }}{{ site.baseurl }}/assets/css/base/stylesheet.min.css" />
</head>
